Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Не видит адаптер wi-fi после обновления Ubuntu 18.04.4 [Решено]  (Прочитано 871 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Velemira

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Привет ребята, в данной ОС 150% чайник, после обновления упал и Bluetooth и wi-fi.
wi-fi - дает ошибку "Адаптеры wi-fi не найдены"
Bluetooth живет своей жизнью и просто не включается.
Не могу разобраться.
Ссылка на всю инфу по диагностике: http://paste.ubuntu.com/p/yvvPyptwYG/
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 03 Май 2020, 05:57:40 от zg_nico »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13736
  • Xubuntu 18.04
    • Просмотр профиля
Я бы установил нормальную Ubuntu без всяких этих ядер oem. Можно и так починить, но ковыряться сложно.
Все эти делловские установки - зло. Работают до первого серьезного обновления. А поддержки с их стороны никакой.

В чем проблема понятно, и как починить тоже. Но объяснять это новичку не возьмусь.
« Последнее редактирование: 07 Март 2020, 15:27:13 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Ева Манштейн

  • Активист
  • *
  • Сообщений: 454
  • Bitte, lasst die linux leben!
    • Просмотр профиля
как по мне так тут прозрачно все:0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-50.ucode failed with error -2
[    3.278192] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-49.ucode failed with error -2
[    3.278198] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-48.ucode failed with error -2
[    3.278286] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-47.ucode failed with error -2
[    3.278293] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-46.ucode failed with error -2
[    3.278371] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-45.ucode failed with error -2
[    3.278378] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-44.ucode failed with error -2
[    3.278495] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-43.ucode failed with error -2
[    3.278503] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-42.ucode failed with error -2
[    3.278509] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-41.ucode failed with error -2
[    3.278515] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-40.ucode failed with error -2
[    3.278522] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-39.ucode failed with error -2
[    3.278523] iwlwifi 0000:00:14.3: no suitable firmware found!
фирмварь надо обновить или откатить на работавшую. И я б посоветовала обновиться до 19.10, наплевав на LTSность. Скок раз можно людям объяснять что LTS - это ни в одном месте не "повышенная стабильность", а всего лишь долгосрочная поддержка, йахз. Попробуй загрузиться с предыдущим ядром, на котром вафля работала - оно стопудово имеется в выборе grub

https://bugzilla.kernel.org/show_bug.cgi?id=201813 - похожее на багзилле
« Последнее редактирование: 07 Март 2020, 15:53:11 от zg_nico »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13736
  • Xubuntu 18.04
    • Просмотр профиля
И я б посоветовала обновиться до 19.10, наплевав на LTSность.
Вот это не надо. Там проблема в том, что ядро 5.0 ищет фирмварь не ту, что в репах для ядра 5.3.
Ничего полезного 19.10 не даст. Там то же самое ядро и прочее, что в 18.04.4.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Ева Манштейн

  • Активист
  • *
  • Сообщений: 454
  • Bitte, lasst die linux leben!
    • Просмотр профиля
Ну фишка в том что в 19.10 ядро то уже давно не 5.0, а 5.3. Я так понимаю что у поциента то вообще какое то делловское 18.04.4.
« Последнее редактирование: 07 Март 2020, 15:47:21 от Ева Манштейн »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13736
  • Xubuntu 18.04
    • Просмотр профиля
Ну фишка в том что в 19.10 ядро то уже давно не 5.0
Ну и в 18.04.4 оно же самое.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Velemira

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Я бы установил нормальную Ubuntu без всяких этих ядер oem. Можно и так починить, но ковыряться сложно.
Все эти делловские установки - зло. Работают до первого серьезного обновления. А поддержки с их стороны никакой.

В чем проблема понятно, и как починить тоже. Но объяснять это новичку не возьмусь.
Оказалось, надо было не только откатить, но и выковырять кривой пакет, спасибо Вам за советы - спасли. Ubuntu пока не переставила, но на будущее я так понимаю, все же стоит? Dell косячно ставит?

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13736
  • Xubuntu 18.04
    • Просмотр профиля
Dell косячно ставит?
Ну не то чтобы косячно. Они ставят свои пакеты, которые несовместимы с обновлениями. То есть на момент покупки всё работает, а поддержку они не обеспечивают.
Поэтому лучше поставить обычную ubuntu и один раз решить проблемы с железом, если будут.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Ева Манштейн

  • Активист
  • *
  • Сообщений: 454
  • Bitte, lasst die linux leben!
    • Просмотр профиля
Ну это как раз и есть "косячно" - воткнуть собственную сборку ядра, не обновлять ее из своих репов (как я понимаю и вообще есть ли таковые?) и оставить linux-firmware стоковый:-) Типа "щазз работает, а потом как нить разберутся". Даже васяновский liquorix о сопровождении думает (хотя и не во всем)

З.Ы кстати мб на такой аццкой сборке имеет смысл просто сделать
sudo apt install linux-generic linux-headers-generic
и забыть об этом oem как о страшном сне?
« Последнее редактирование: 07 Март 2020, 20:01:56 от Ева Манштейн »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13736
  • Xubuntu 18.04
    • Просмотр профиля
кстати мб на такой аццкой сборке имеет смысл просто сделать
Видимо стоит. Но там мог быть еще dkms какой-нибудь. Новичку всё это сложно сразу понять. Поэтому если поставить ванильную, то этой проблемы просто не должно быть.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Ева Манштейн

  • Активист
  • *
  • Сообщений: 454
  • Bitte, lasst die linux leben!
    • Просмотр профиля
а поддержку они не обеспечивают.
оффтоп конечно, но я вот лично ваще не удивлюсь если узнаю что это такая особая индейская хитрость - типа "а вот не покупайте дешевые ноуты без венды"-)
 Вообще сама идея создания оттюненого ядра под конкретную модель ноутбука, ну или хотя бы под определенную линейку штука классная и нифига не новая, собсна Apple так и поступает - у них жесткий список оборудования и ядра просто тюнингуются под этот набор. И все чики-чики, ничего лишнего в ядре, оно небольшое по сравнению с ванильным, шустрее работает ибо ничего постороннего даже не пытается запустить или в память загрузить. Но такое ведро надо сопровождать, следить за ним. А деллу походу лень этим заниматься, потому лично мне просто непонятно зачем они ваще морочатся с этими "своими" ядрами, с ванилькой реально гемороя будет меньше.
 Ну либо пользоваться их сборкой и забыть про обновления

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13736
  • Xubuntu 18.04
    • Просмотр профиля
linux-generic linux-headers-generic
Только эти поставят ядро 4.15. Надо linux-generic-hwe-18.04 и т.д. Это если 18.04.

Пользователь добавил сообщение 07 Март 2020, 20:47:02:
Ева Манштейн,
Не так на самом деле. Ванильное ядро не поддерживает например вайфай адаптер. Они там либо патчат, либо dkms ставят.
Проходит время, ядро уже поддерживает всё из коробки, и при обновлении проблема.

Делл просто с наименьшими затратами добиваются, чтобы работало "здесь и сейчас". А дальше трава не расти.
« Последнее редактирование: 07 Март 2020, 20:47:02 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Ева Манштейн

  • Активист
  • *
  • Сообщений: 454
  • Bitte, lasst die linux leben!
    • Просмотр профиля
Надо linux-generic-hwe-18.04 и т.д. Это если 18.04.
Угук, но есть сильное подозрение что "отца русской демократии" спасет и 200 рублей, в смысле и более старое ведро, лишь бы оно вменяемо стакалось с фирмварным пакетом. Я забыла про hwe потому что никогда не заморачивалась сидением на этих лтсах. Даже когда на генте сидела, установка "стабильной генты" для меня всегда была не более чем способом существенно быстрее накатить работоспособную систему, а потом уже ставить свежак. Типа лучше это делать не из голой консоли, а из иксов, в окошке konsole и поглядывая киношки да ролики с тытрубы:-)

Не так на самом деле. Ванильное ядро не поддерживает например вайфай адаптер. Они там либо патчат, либо dkms ставят.
по моему настока новых радиомодулей уже несколько лет как не было, ниуха они там не "патчат". Уж тем более с интелем, конторка известна как раз отличной документацией своего железа. Хз правда относится это кроме процессора еще и к вафлям. По моему там "оем" весь в том, что дяди удосужились собрать ведро не просто через genkernel all, а все таки genkernel menuconfig all, понажимав где надо пробел, точнее "где не надо" выключив. Была как то шутка такая что мол нету никаких "дистрибутивов Linux", у всех мейнтейнеров Гента. А потом они пакуют все в удобные для них пакеты:-)
« Последнее редактирование: 07 Март 2020, 21:43:01 от Ева Манштейн »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13736
  • Xubuntu 18.04
    • Просмотр профиля
Уж тем более с интелем, конторка известна как раз отличной документацией своего железа.
В ubuntu ядра отстают сильно. Я постоянно эти проблемы народу на askubuntu решаю. Ставят дистрибутив, а вайфая нет. Оказывается, что поддержка железа появилась чуть позже и т.д.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Ева Манштейн

  • Активист
  • *
  • Сообщений: 454
  • Bitte, lasst die linux leben!
    • Просмотр профиля
 
но на будущее я так понимаю, все же стоит? D
Стоит:-) Более того, я б на твоем месте поставила бы не Ubuntu, а Kubuntu. Преимущества:
1. основная (core) пакетная база общая, всё в принципе так же, все рекомендации (почти) те же. Статьи по оптимизации\девальвации\тюнингации- практически те же. То же самое ядро, тот же самый набор фирмвари, разница только в ДЕ.
2. основное ДЕ - КДЕ. Тут конечно холиварно, но в целом для свитчера (человека, сменившего винду на линукс) КДЕ подходит больше, хотя бы чисто по моторике - в КДЕ всё примерно на тех же местах как в винде. В Ubuntu - разные веяния, то там Юнити, то Гном. То кнопки закрытия окна слева, то справа. То папа, то не папа в общем. В кедах такого мало того что нет, более того - основной принцип КДЕ - "все должно настраиваться под пользователя".
3. И не читай лоробред и прочие высеры гномосековфилов :-) По большому счету у них сейчас ситуация аховая - они даже не посторонних, а самих себя пытаются убедить в том, что GNOME 3 - перестал быть куском г..на, жрать ресурсы бездарно и течь памятью. Поэтому если на форуме задать вопрос "что лучше" ты скорее всего получишь следующие ответы:
а) Что кде якобы жрет много ресурсов (делают это "по памяти - как то раз пробовали кде4 ранних версий)
б) кде падает постоянно - аналогично, у меня кеды "падают" где то раз в неделю, как правило после нетрадиционных упражнений  в wine, я про то что "плазма таки упала" узнаю потому, что на секунду моргнул экран и в трее появился "жучок".
в) есть еще две категории "советчиков", одна ушла на xfce4 (прикол в том что крыса сейчас на гтк3 как и гном и жрет столько же, так что сей переход - плацебо, максимум - уход от анальной политики гнома, крыса все таки пока не настока чокнутая), а вторая еще смешней, но тут (на этом форуме)  ты ее вряд ли встретишь - это тайлингисты. Это что то из серии "выубилимойгномдватакоймилыйняшныйвотвамяуйдувтайлинг" - там люди на полном серьезе пропагандируют подход виндовс 3.11 (которая еще до 95). Ну тут да - возразить нечего. Жрет меньше кед, шустрее ворочается. Правда не всегда, мне вот до сих пор непонятно почему в wine openbox ворочается вдвое медленней kwin. В играх.

 

Страница сгенерирована за 0.126 секунд. Запросов: 25.